diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/hamradio/dmascc.c linux-2.5/drivers/net/hamradio/dmascc.c
--- bk-linus/drivers/net/hamradio/dmascc.c	2002-11-21 02:16:42.000000000 +0000
+++ linux-2.5/drivers/net/hamradio/dmascc.c	2002-11-21 17:59:38.000000000 +0000
@@ -599,7 +599,10 @@ int __init setup_adapter(int card_base, 
     rtnl_unlock();
   }
 
-  request_region(card_base, hw[type].io_size, "dmascc");
+  if (!request_region(card_base, hw[type].io_size, "dmascc")) {
+	  printk(KERN_WARNING "DMASCC: io-port 0x%04lx in use \n", card_base);
+	  return(-EBUSY);
+  }
 
   info->next = first;
   first = info;
